org.apache.commons.beanutils

## Class ConversionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.commons.beanutils.ConversionException

- All Implemented Interfaces:
    Serializable

      public class ConversionException
      extends RuntimeException

  A ConversionException indicates that a call to `Converter.convert()` has failed to complete successfully.

  Since:
    1.3
  Version:
    $Id: ConversionException.java 1632171 2014-10-15 20:15:17Z ggregory $
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Throwable` | `cause` The root cause of this `ConversionException`, compatible with JDK 1.4's extensions to `java.lang.Throwable`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConversionException(String message)` Construct a new exception with the specified message.
    `ConversionException(String message, Throwable cause)` Construct a new exception with the specified message and root cause.
    `ConversionException(Throwable cause)` Construct a new exception with the specified root cause.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `getCause()` Return the root cause of this conversion exception.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cause

          protected Throwable cause

      The root cause of this `ConversionException`, compatible with JDK 1.4's extensions to `java.lang.Throwable`.

  - ### Constructor Detail

    - #### ConversionException

          public ConversionException(String message)

      Construct a new exception with the specified message.
      Parameters:
        `message` - The message describing this exception

    - #### ConversionException

          public ConversionException(String message,
                                     Throwable cause)

      Construct a new exception with the specified message and root cause.
      Parameters:
        `message` - The message describing this exception
        `cause` - The root cause of this exception

    - #### ConversionException

          public ConversionException(Throwable cause)

      Construct a new exception with the specified root cause.
      Parameters:
        `cause` - The root cause of this exception

  - ### Method Detail

    - #### getCause

          public Throwable getCause()

      Return the root cause of this conversion exception.
      Overrides:
        `getCause` in class `Throwable`
      Returns:
        the root cause of this conversion exception

Copyright © 2000–2016 The Apache Software Foundation. All rights reserved.